UMASK(2)

NAME
umask - set file creation mode mask

SYNOPSIS
#include <sys/types.h>
#include <sys/stat.h>
mode_t umask(mode_t mask)

DESCRIPTION
Umask sets the process's file mode creation mask to mask and returns the previous value of the mask. The low-order 9 bits of mask are used whenever a file is created, clearing corresponding bits in the file mode (see chmod(2)). This clearing allows each user to restrict the default access to his files.

The value is initially 022 (write access for owner only). The mask is inherited by child processes.

RETURN VALUE
The previous value of the file mode mask is returned by the call.

SEE ALSO
chmod(2), mknod(2), open(2).